﻿/* CSS For .NET validation classes:
        -input-validation-error class is dynamically added
        by the .NET framework when an input element is invalid
        according to added validation attributes on the class
 */
.input-validation-error ~ label, .input-validation-error:focus ~ label {
    color: #E60000 !important;
}

.form-control.input-validation-error {
    border-color: #dc3545 !important;
    background-image: url(/assets/images/icons/error.png) !important;
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem) !important;
    background-repeat: no-repeat;
    background-position: center right;
    background-position: center right calc(0.375em + 0.3875rem) !important;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.btn-primary.disabled, .btn-primary:disabled {
    background-color: #cccccc;
    border: 1px solid #cccccc;
    color: #fff !important;
}